Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JROrigin

    java.lang.Object
      net.sf.jasperreports.engine.JROrigin

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable

    public class JROrigin

extends java.lang.Object
implements JRCloneable, java.io.Serializable

Version:
  $Id: JROrigin.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `BACKGROUND` Deprecated. Replaced by `BandTypeEnum.BACKGROUND`.
`static byte` | `COLUMN_FOOTER` Deprecated. Replaced by `BandTypeEnum.COLUMN_FOOTER`.
`static byte` | `COLUMN_HEADER` Deprecated. Replaced by `BandTypeEnum.COLUMN_HEADER`.
`static byte` | `DETAIL` Deprecated. Replaced by `BandTypeEnum.DETAIL`.
`static byte` | `GROUP_FOOTER` Deprecated. Replaced by `BandTypeEnum.GROUP_FOOTER`.
`static byte` | `GROUP_HEADER` Deprecated. Replaced by `BandTypeEnum.GROUP_HEADER`.
`static byte` | `LAST_PAGE_FOOTER` Deprecated. Replaced by `BandTypeEnum.LAST_PAGE_FOOTER`.
`static byte` | `NO_DATA` Deprecated. Replaced by `BandTypeEnum.NO_DATA`.
`static byte` | `PAGE_FOOTER` Deprecated. Replaced by `BandTypeEnum.PAGE_FOOTER`.
`static byte` | `PAGE_HEADER` Deprecated. Replaced by `BandTypeEnum.PAGE_HEADER`.
`static byte` | `SUMMARY` Deprecated. Replaced by `BandTypeEnum.SUMMARY`.
`static byte` | `TITLE` Deprecated. Replaced by `BandTypeEnum.UNKNOWN`.
`static byte` | `UNKNOWN` Deprecated. Replaced by `BandTypeEnum.UNKNOWN`.

Constructor Summary
`JROrigin(BandTypeEnum bandType)`
`JROrigin(byte bandType)` Deprecated. Replaced by `JROrigin(BandTypeEnum)`.
`JROrigin(java.lang.String reportName, BandTypeEnum bandType)`
`JROrigin(java.lang.String reportName, byte bandType)` Deprecated. Replaced by `JROrigin(String, BandTypeEnum)`.
`JROrigin(java.lang.String reportName, java.lang.String groupName, BandTypeEnum bandTypeValue)`
`JROrigin(java.lang.String reportName, java.lang.String groupName, byte bandType)` Deprecated. Replaced by `JROrigin(String, String, BandTypeEnum)`.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`byte` | `getBandType()` Deprecated. Replaced by `getBandTypeValue()`.
`BandTypeEnum` | `getBandTypeValue()`
`java.lang.String` | `getGroupName()`
`java.lang.String` | `getReportName()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final byte UNKNOWN

  Deprecated. Replaced by `BandTypeEnum.UNKNOWN`.
  See Also:
    Constant Field Values

### BACKGROUND

    public static final byte BACKGROUND

  Deprecated. Replaced by `BandTypeEnum.BACKGROUND`.
  See Also:
    Constant Field Values

### TITLE

    public static final byte TITLE

  Deprecated. Replaced by `BandTypeEnum.UNKNOWN`.
  See Also:
    Constant Field Values

### PAGE_HEADER

    public static final byte PAGE_HEADER

  Deprecated. Replaced by `BandTypeEnum.PAGE_HEADER`.
  See Also:
    Constant Field Values

### COLUMN_HEADER

    public static final byte COLUMN_HEADER

  Deprecated. Replaced by `BandTypeEnum.COLUMN_HEADER`.
  See Also:
    Constant Field Values

### GROUP_HEADER

    public static final byte GROUP_HEADER

  Deprecated. Replaced by `BandTypeEnum.GROUP_HEADER`.
  See Also:
    Constant Field Values

### DETAIL

    public static final byte DETAIL

  Deprecated. Replaced by `BandTypeEnum.DETAIL`.
  See Also:
    Constant Field Values

### GROUP_FOOTER

    public static final byte GROUP_FOOTER

  Deprecated. Replaced by `BandTypeEnum.GROUP_FOOTER`.
  See Also:
    Constant Field Values

### COLUMN_FOOTER

    public static final byte COLUMN_FOOTER

  Deprecated. Replaced by `BandTypeEnum.COLUMN_FOOTER`.
  See Also:
    Constant Field Values

### PAGE_FOOTER

    public static final byte PAGE_FOOTER

  Deprecated. Replaced by `BandTypeEnum.PAGE_FOOTER`.
  See Also:
    Constant Field Values

### LAST_PAGE_FOOTER

    public static final byte LAST_PAGE_FOOTER

  Deprecated. Replaced by `BandTypeEnum.LAST_PAGE_FOOTER`.
  See Also:
    Constant Field Values

### SUMMARY

    public static final byte SUMMARY

  Deprecated. Replaced by `BandTypeEnum.SUMMARY`.
  See Also:
    Constant Field Values

### NO_DATA

    public static final byte NO_DATA

  Deprecated. Replaced by `BandTypeEnum.NO_DATA`.
  See Also:
    Constant Field Values

Constructor Detail

### JROrigin

    public JROrigin(BandTypeEnum bandType)

### JROrigin

    public JROrigin(java.lang.String reportName,
                    BandTypeEnum bandType)

### JROrigin

    public JROrigin(java.lang.String reportName,
                    java.lang.String groupName,
                    BandTypeEnum bandTypeValue)

### JROrigin

    public JROrigin(byte bandType)

  Deprecated. Replaced by `JROrigin(BandTypeEnum)`.

### JROrigin

    public JROrigin(java.lang.String reportName,
                    byte bandType)

  Deprecated. Replaced by `JROrigin(String, BandTypeEnum)`.

### JROrigin

    public JROrigin(java.lang.String reportName,
                    java.lang.String groupName,
                    byte bandType)

  Deprecated. Replaced by `JROrigin(String, String, BandTypeEnum)`.

Method Detail

### getReportName

    public java.lang.String getReportName()

### getGroupName

    public java.lang.String getGroupName()

### getBandType

    public byte getBandType()

  Deprecated. Replaced by `getBandTypeValue()`.

### getBandTypeValue

    public BandTypeEnum getBandTypeValue()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com